Download it now!
Bug 127092 - MariaDB/MySQL native connector: Import tables creates empty table
Summary: MariaDB/MySQL native connector: Import tables creates empty table
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
6.3.0.4 release
Hardware: x86-64 (AMD64) All
: high major
Assignee: Tamas Bunth
URL:
Whiteboard: target:6.4.0 target:6.3.2
Keywords: bibisectRequest, dataLoss, regression
Depends on:
Blocks:
 
Reported: 2019-08-22 06:45 UTC by Robert Großkopf
Modified: 2019-09-04 09:56 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Try to import the table from HSQLDB to MariaDB/MySQL. (3.36 KB, application/vnd.oasis.opendocument.database)
2019-08-22 06:45 UTC, Robert Großkopf
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Großkopf 2019-08-22 06:45:19 UTC
Created attachment 153565 [details]
Try to import the table from HSQLDB to MariaDB/MySQL.

Open a database-file with native connection to MariaDB/MySQL.
Open the attached HSQLDB database.
Don't migrate the data of the HSQLDB database.
Copy the table of HSQLDB by the context menu of the table.
Paste the table to MariaDB/MySQL.

The pasted table will be empty. No data have been copied, only the structure of the table has been copied.

Note: There is another bug when copying the content afterwards. The autovalue won't work right with '0' - I report this separately.

This works in LO 6.2.6.2, fails in LO 6.3.0.4 and LO Version: 6.4.0.0.alpha0+ Time: 2019-08-09_06:28:42.

All tested with OpenSUSE 15 64bit rpm Linux.
Comment 1 Alex Thurgood 2019-08-22 07:31:11 UTC
Confirming with 

Version: 6.3.0.4
Build ID: 057fc023c990d676a43019934386b85b21a9ee99
Threads CPU : 8; OS : Mac OS X 10.14.6; UI Render : par défaut; VCL: osx; 
Locale : fr-FR (fr_FR.UTF-8); Langue IHM : fr-FR
Calc: threaded

to add insult to injury the data copy fails silently, without warning...
Comment 2 Commit Notification 2019-08-31 17:44:54 UTC
Tamas Bunth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/fa177231cd20bf3c3f4bb9b50f6646da139c6766%5E%21

tdf#127093, tdf#127092 Fix pasting autoincremented

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Tamas Bunth 2019-09-01 08:36:06 UTC
Table is not empty anymore, so I'd put it to resolved/fixed.
Comment 4 Commit Notification 2019-09-02 13:20:52 UTC
Tamas Bunth committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/2ddd1a5ca306ed6bfdcd375af094cdbd9e6212ca%5E%21

tdf#127093, tdf#127092 Fix pasting autoincremented

It will be available in 6.3.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2019-09-03 18:00:13 UTC
Tamas Bunth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/d783017c1ccb4e62e99f26b42250ac4e15780cff%5E%21

Revert "tdf#127093, tdf#127092 Fix pasting autoincremented"

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2019-09-04 09:56:38 UTC
Tamas Bunth committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/8a9ce8164aedda16e6732845adfdae03a7c810de%5E%21

Revert "tdf#127093, tdf#127092 Fix pasting autoincremented"

It will be available in 6.3.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.